-----------------------------------------------------------------------------------------------------------------------
-----------------------------------------------------------------------------------------------------------------------
--
--  Name:
--
--  Script5xxInstall.sql
-- 
-----------------------------------------------------------------------------------------------------------------------
-----------------------------------------------------------------------------------------------------------------------
--
--  Latest Alpha Build:
--
-- 	Build 5.0.629
--	
-----------------------------------------------------------------------------------------------------------------------
-----------------------------------------------------------------------------------------------------------------------
--
--  Relevance:
--
--      This file is relevant to Series 5 LiveDDM and Series 5 LiveChart only.
--      
--      This file runs commands against the database before the update runs. 
--
-----------------------------------------------------------------------------------------------------------------------
-----------------------------------------------------------------------------------------------------------------------
--
--  Notes:
--
--      Please be consistent with the "date -- initials" scheme 
--      and the "numbering" scheme in the Revision History.
--
-----------------------------------------------------------------------------------------------------------------------
-----------------------------------------------------------------------------------------------------------------------
--
--  Revision History:
-- 
--      Wed, Feb 01, 2006 -- DE
--		01) File Created
--		02) Inserted LiveChartTools=0 into the Features table
--		03) Inserted Professional=0 into the Features table
-----------------------------------------------------------------------------------------------------------------------
-----------------------------------------------------------------------------------------------------------------------


-----------------------------------------------------------------------------------------------------------------------
-----------------------------------------------------------------------------------------------------------------------
-- Add/Update an entry for the LiveChartTools in the Features table 
-----------------------------------------------------------------------------------------------------------------------
-----------------------------------------------------------------------------------------------------------------------

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE ID = object_id(N'[dbo].[Features]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
   IF NOT EXISTS (SELECT * FROM Features WHERE FeatureName = 'LiveChartTools')
      	BEGIN
	 	INSERT [dbo].[Features] (FeatureName, IsAvailable) VALUES ('LiveChartTools', 0)
                PRINT  '-------------------------------------------------------------------------------------------------'
		PRINT  'Inserted LiveChartTools=0 into the Features table'
		PRINT  ' '
	END
END
GO

-----------------------------------------------------------------------------------------------------------------------
-----------------------------------------------------------------------------------------------------------------------
-- Add/Update an entry for the Professional in the Features table 
-----------------------------------------------------------------------------------------------------------------------
-----------------------------------------------------------------------------------------------------------------------

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE ID = object_id(N'[dbo].[Features]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
   IF NOT EXISTS (SELECT * FROM Features WHERE FeatureName = 'Professional')
	BEGIN
		INSERT [dbo].[Features] (FeatureName, IsAvailable) VALUES ('Professional', 0)
                PRINT  '-------------------------------------------------------------------------------------------------'
		PRINT 'Inserted Professional=0 into the Features table'
		PRINT ' '

	END
END
GO